 <!-- begin zarizeni.php -->

 
<?php

if ($_GET['a']=="pridat") 
  {
     if ($_POST['odeslano']=="ano") 
       {
        $dotaz=mysql_query("INSERT INTO devices (id,name,type,sensor,icon,person,building,floor,room,loc_x,loc_y) VALUES (NULL,'".$_POST['name']."','".$_POST['type']."',0,".$_POST['icon'].",'".$_POST['person']."',".$_POST['building'].",".$_POST['floor'].",'".$_POST['room']."',".$_POST['loc_x'].",".$_POST['loc_y'].");");
        if ($dotaz) {$zprava="<br/><div style='font-weight:bold;'>Zařízení bylo úspěšně přidáno.</div><br/>";} else {$zprava="<br/><div style='color:red;font-weight:bold;'>Chyba při přidávání zařízení!</div><br/>";};
       }
     
     $dotaz=mysql_query("SELECT id,name,picture FROM icons ORDER BY id ASC;");
     $seznami='<select name="icon" id="ico">';
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) {$icon=mysql_fetch_row($dotaz); 
     //$seznami.='<option class="imagebacked" style="background-image: url(icon/thumbnails/'.$icon[2].');" value="'.$icon[0].'">'.$icon[1].'</option>';  };
     $seznami.='<option value="'.$icon[0].'" title="'.$icon[2].'">'.$icon[1].'</option>';  };
     $seznami.='</select>';
     
     $dotaz=mysql_query("SELECT id,name,floors,mapname FROM buildings;");
     $seznamb='<select name="building" id="bld">';
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) 
       { $building=mysql_fetch_row($dotaz); 
         $seznamb.='<option value="'.$building[0].'" title="'.$building[3].'">'.$building[1].'</option>';  
       };
     $seznamb.='</select>'; 
     
     $dotaz=mysql_query("SELECT id,name,floors,mapname FROM buildings;");
     $patro=mysql_fetch_row($dotaz); 
     $seznamf='<select name="floor" id="flr">';
     for ($i=1;$i<=$patro[2];$i++) {
     $seznamf.='<option value="'.$i.'" class="fff">'.$i.'</option>';  };
     $seznamf.='</select>'; 
     
     
     if ($nepridavat) {
     $tlacitko='<input type="submit" value="Uložit" disabled>
     <span style="color:red;font-weight:bold;">Chyba? nelze ukládat.</span>
     ';
     
     }
     else {$tlacitko='<input type="submit" value="Uložit">';};
     
     $nadpis="Vytvořit nový spotřebič";
     $obsah='
     
     <form action="zarizeni.php?a=pridat" method="POST">
     <table>
     <tr><td style="text-align:right;font-weight:bold;">Název:</td><td><input type="text" size="20" name="name"></td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Typ zařízení:</td><td><img src="icon/thumbnails/konvice.png" alt="" style="vertical-align:middle;width:18px;height:18px;" id="thumb"/>'.$seznami.'</td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Popis:</td><td><input type="text" size="15" name="type"></td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Zodp.osoba:</td><td><input type="text" size="20" name="person"></td></tr>
     </table>
     <br/>
     <h3>Umístění</h3>
     <table>
     <tr><td style="text-align:right;font-weight:bold;">Budova:</td><td>'.$seznamb.'</td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Patro:</td><td>'.$seznamf.'<div style="visibility:hidden;" id="ff"></div></td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Číslo místnosti:</td><td><input type="text" size="7" name="room"></td></tr>
     </table>
     <br/>
     <h3>Mapa</h3>
     
     <input type="hidden" name="loc_x" value="-999" id="loc_x">
     <input type="hidden" name="loc_y" value="-999" id="loc_y">
     <div id="cross" style="position:absolute; top:-20px; left:-20px; width:14px; height:14px; background-image:url(\'maps/crosshair.png\')"></div>
     <img id="map" src="maps/null.png" />
     
     <br/>
     <input type="hidden" name="odeslano" value="ano">
     '.$zprava.'
     '.$tlacitko.'
     </form>
     
     ';
  
  }
  
elseif ($_GET['e']=="edit") 
  {
     
     if ($_POST['odeslano']=="ano") 
       {
        $dotaz=mysql_query("UPDATE devices SET name='".$_POST['name']."', type='".$_POST['type']."', icon='".$_POST['icon']."', person='".$_POST['person']."' ,building='".$_POST['building']."' ,floor='".$_POST['floor']."' ,room='".$_POST['room']."' ,loc_x='".$_POST['loc_x']."' ,loc_y='".$_POST['loc_y']."' WHERE id='".$_POST['id']."';");
        if ($dotaz) {$zprava="<br/><div style='font-weight:bold;'>Zařízení bylo úspěšně upraveno.</div><br/>";} else {$zprava="<br/><div style='color:red;font-weight:bold;'>Chyba při přidávání zařízení!</div><br/>";};
       }
     
     $dotaz=mysql_query("SELECT name,type,sensor,icon,person,building,floor,room,loc_x,loc_y FROM devices WHERE id='".$_GET['id']."' LIMIT 1;");
     $zarizeni=mysql_fetch_row($dotaz);
     
     
     $dotaz=mysql_query("SELECT id,name,picture FROM icons ORDER BY id ASC;");
     $seznami='<select name="icon" id="ico">';
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) {$icon=mysql_fetch_row($dotaz); 
     if ($icon[0]==$zarizeni[3]) {$akti='selected';} else {$akti='';}
     $seznami.='<option value="'.$icon[0].'" title="'.$icon[2].'" '.$akti.'>'.$icon[1].'</option>';  };
     $seznami.='</select>';
     
     $dotaz=mysql_query("SELECT id,name,floors,mapname FROM buildings;");
     $seznamb='<select name="building" id="bld">';
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) 
       { $building=mysql_fetch_row($dotaz); 
         $seznamb.='<option value="'.$building[0].'" title="'.$building[3].'">'.$building[1].'</option>';  
       };
     $seznamb.='</select>'; 
     
     $dotaz=mysql_query("SELECT id,name,floors,mapname FROM buildings;");
     $patro=mysql_fetch_row($dotaz); 
     $seznamf='<select name="floor" id="flr">';
     for ($i=1;$i<=$patro[2];$i++) {
     $seznamf.='<option value="'.$i.'" class="fff">'.$i.'</option>';  };
     $seznamf.='</select>'; 
     
     
     $tlacitko='<input type="submit" value="Uložit">';
     
     $nadpis="Editace zařízení";
     $obsah='
     
     <form action="#" method="POST">
     <table>
     <input type="hidden" name="id" value="'.$_GET['id'].'">
     <tr><td style="text-align:right;font-weight:bold;">Název:</td><td><input type="text" size="20" name="name" value="'.$zarizeni[0].'"></td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Typ zařízení:</td><td><img src="icon/thumbnails/konvice.png" alt="" style="vertical-align:middle;width:18px;height:18px;" id="thumb"/>'.$seznami.'</td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Popis:</td><td><input type="text" size="15" name="type" value="'.$zarizeni[1].'"></td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Zodp.osoba:</td><td><input type="text" size="20" name="person" value="'.$zarizeni[4].'"></td></tr>
     </table>
     <br/>
     <h3>Umístění</h3>
     <table>
     <tr><td style="text-align:right;font-weight:bold;">Budova:</td><td>'.$seznamb.'</td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Patro:</td><td>'.$seznamf.'<div style="visibility:hidden;" id="ff"></div></td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Číslo místnosti:</td><td><input type="text" size="7" name="room" value="'.$zarizeni[7].'"></td></tr>
     </table>
     <br/>
     <h3>Mapa</h3>
     
     <input type="hidden" name="loc_x" value="'.$zarizeni[8].'" id="loc_x">
     <input type="hidden" name="loc_y" value="'.$zarizeni[9].'" id="loc_y">
     <div id="cross" style="position:absolute; top:-20px; left:-20px; width:14px; height:14px; background-image:url(\'maps/crosshair.png\')"></div>
     <img id="map" src="maps/null.png" />
     
     <br/>
     <input type="hidden" name="odeslano" value="ano">
     '.$zprava.'
     '.$tlacitko.'
     </form>
     
     ';
  
  }

elseif  ($_GET['a']=="seznam") 
  {
     if  ($_GET['d']=="delete") 
      {  $dotaz=mysql_query("DELETE FROM devices WHERE id = ".$_GET['id']);
         if ($dotaz) {$zprava="Smazání proběhlo úspěšně.";} else {$zprava="Chyba při mazání!";}
      
      }
      
  
      
      
     if ($_GET['c']=="neasoc")
     {
     $nadpis="Seznam neasociovaných zařízení";
     $dotaz=mysql_query("SELECT devices.id,devices.name,devices.type,devices.sensor,icons.picture,icons.picture,devices.person,devices.building,devices.room FROM devices JOIN icons WHERE devices.icon = icons.id AND devices.sensor=0");
     } else
     {
     $nadpis="Seznam všech zařízení";
     $dotaz=mysql_query("SELECT devices.id,devices.name,devices.type,devices.sensor,icons.picture,icons.picture,devices.person,devices.building,devices.room FROM devices JOIN icons WHERE devices.icon = icons.id");
     }
     
     
     for ($i=0;$i<mysql_num_rows($dotaz);$i++) {
     $device=mysql_fetch_row($dotaz); 
     $seznam.='<tr class="barvi">
     <td class="imag"><img src="icon/'.$device[4].'" width="32" height="32"></td>
     <td><a href="detail.php?id='.$device[0].'"><strong>'.$device[1].'</strong></a></td><td>'.$device[2].'</td>
     <td><a href="prehled.php?p=osoba&o='.htmlspecialchars($device[6]).'">'.$device[6].'</a></td>
     <td><a href="prehled.php?p=mistnost&m='.htmlspecialchars($device[8]).'">'.$device[8].'</a></td>
     <td style="text-align:center;"><a href="mapy.php?id='.$device[0].'"><img src="maps/crosshair_big.png" alt="Mapa" style="vertical-align:middle;"/></a></td>
     <td style="text-align:center;"><a href="zarizeni.php?a=seznam&c='.$_GET['c'].'&e=edit&id='.$device[0].'"><img src="images/upravit.png" alt="Upravit" style="vertical-align:middle;"/></a></td>
     <td style="text-align:center;"><a href="zarizeni.php?a=seznam&c='.$_GET['c'].'&d=delete&id='.$device[0].'"><img src="images/smazat.png" alt="Smazat" style="vertical-align:middle;"/></a></td></tr>';
     };
     
     if (mysql_num_rows($dotaz)<1)
     {
      $obsah='
      <span style="color:red;font-weight:bold;">Nebyl nalezen žádný neasociovaný snímač!</span>
      '.$zprava.'
     ';
     }
     else
     {
     $obsah='
     <table style="width:90%">
     <tr><td></td><td>Jméno</td><td>Popis</td><td>Zodp.osoba</td><td>Místnost</td><td></td><td></td><td></td></tr>
     '.$seznam.'
     </table>
     '.$zprava.'
     ';
     }
       
  }

else 
  {  
   
  $nadpis="Seznam zařízení";
     
     $asociovane=mysql_query("SELECT devices.id,devices.name,sensors.active FROM devices,sensors WHERE devices.id=sensors.id ORDER BY devices.id");
     $pocetas=mysql_num_rows($asociovane);
    
     if ($pocetas<1) {
     $obsah='
             Nebylo nalezeno žádné zařízení.<br/><br/> 
             <a href="zarizeni.php?a=pridat">Přidat nové zařízení</a>  
            ';
     } else
    {
        header("Location: asociace.php?a=seznam");
      }
      
  };
?>

          
            <div class="post">				
              <h2 class="title">
                <a href="#"><?php echo $nadpis; ?></a>
              </h2>				
              
              <div class="entry">		
                <?php echo $obsah; ?>     
              </div>			
            </div>
            
            
             
<script type="text/javascript">

 $(document).ready(function() {
   var ikona=$("#ico option:selected").attr("title"); 
 	 $("#thumb").attr("src","icon/thumbnails/"+ikona);
    

   var offset = $("#map").offset();
   var scrtop = $(window).scrollTop();
   var scrleft =$(window).scrollLeft();
   var aktx = parseInt($("#loc_x").attr("value"));
   var akty = parseInt($("#loc_y").attr("value"));
   $("#cross").css({"top": offset.top + akty + scrtop - 7, "left": offset.left + aktx + scrleft - 7});


   var b=$("#bld option:selected").attr("title");
   var f=$("#flr").val();
   var mapa=b+"_"+f; 
 	 $("#map").attr("src","maps/"+mapa+".png");
     

  $("#flr").change(function() {
  
   b=$("#bld option:selected").attr("title");
   f=$("#flr").val();
   mapa=b+"_"+f; 
 	 $("#map").attr("src","maps/"+mapa+".png");
       

});

 $("#bld").change(function() {
 
 
   var b=$("#bld option:selected").attr("title");
   
    $(".fff").remove(); 
 	  $.ajax({
      url: "include/ajax_patra.php",
      type: "GET",
      data: "b="+b,
      cache: false,
      async: false
     }).done(function(data) {
          $("#flr").append(data);
     });
     
   var f=$("#flr").val();
   var mapa=b+"_"+f; 

 	 $("#map").attr("src","maps/"+mapa+".png");
     
});




 $("#ico").change(function() {
   var ikona=$("#ico option:selected").attr("title"); 
 	 $("#thumb").attr("src","icon/thumbnails/"+ikona);
});


$('#map').click(function(e) {
    offset = $(this).offset();
    scrtop = $(window).scrollTop();
    scrleft =$(window).scrollLeft();
    $("#loc_x").attr("value",e.clientX - offset.left + scrleft);
    $("#loc_y").attr("value",e.clientY - offset.top + scrtop);
    $("#cross").css({"top": e.clientY + scrtop - 7, "left": e.clientX + scrleft - 7});
  });

       
});



</script>
 
            
            
 <!-- end zarizeni.php -->